//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "TabPaneCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

EVENT_DISPATCH_MAP_BEGIN( VWTabPaneCtrl );
EVENT_DISPATCH_MAP_END;

VWTabPaneCtrl::VWTabPaneCtrl(TControlID id)
: VWControlsContainer( id )
{
}

VWTabPaneCtrl::~VWTabPaneCtrl()
{
}

bool VWTabPaneCtrl::CreateControl(VWDialog* pDlg, const TXString& text, bool bHasFrame /*=true*/)
{
	::GS_CreateGroupBox( gCBP, pDlg->GetControlID(), fControlID, text, bHasFrame );
	return VWControl::CreateControl( pDlg );
}

void VWTabPaneCtrl::OnDDXInitialize()
{
}

void VWTabPaneCtrl::OnSetUpEvent()
{
}

void VWTabPaneCtrl::OnSetDownEvent()
{
}

void VWTabPaneCtrl::OnUpdateUI()
{
}

bool VWTabPaneCtrl::CanEnableOK()
{
	return true;
}
